# Make dynamic linked lib liblist.dl for demo lib

target: liblist.dl script.exe

liblist.dl: list.o list_chdl.o
	ch dllink liblist.dl cplusplus list.o list_chdl.o

list.o: list.cpp
	ch dlcomp liblist.dl cplusplus list.cpp

list_chdl.o: list_chdl.cpp
	ch dlcomp liblist.dl cplusplus list_chdl.cpp

script.exe: script.o list.o
	ch dllink script.exe cplusplus script.o list.o 

script.o: script.cpp
	ch dlcomp liblist.dl cplusplus script.cpp

test: 
	script.exe    > test1
	ch script.cpp > test2 
	diff test1 test2

clean:
	rm -f *.o *.obj a.out liblist.dl *.lib *.exp *.exe test1 test2

